Package com.independentsoft.office.spreadsheet

# Class Map

java.lang.Object
com.independentsoft.office.spreadsheet.Map

public class Map extends Object
The Class Map.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Map()`
  Instantiates a new map.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map`
  `clone()`
  `DataBinding`
  `getDataBinding()`
  Gets the data binding.
  `int`
  `getID()`
  Gets the id.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getRootElementName()`
  Gets the root element name.
  `String`
  `getSchemaID()`
  Gets the schema id.
  `boolean`
  `isAppend()`
  Checks if is append.
  `boolean`
  `isAutoFit()`
  Checks if is auto fit.
  `boolean`
  `isPreserveAutoFilterState()`
  Checks if is preserve auto filter state.
  `boolean`
  `isPreserveFormat()`
  Checks if is preserve format.
  `boolean`
  `isShowValidationErrors()`
  Checks if is show validation errors.
  `void`
  `setAppend​(boolean append)`
  Sets the append.
  `void`
  `setAutoFit​(boolean autoFit)`
  Sets the auto fit.
  `void`
  `setDataBinding​(DataBinding dataBinding)`
  Sets the data binding.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPreserveAutoFilterState​(boolean preserveAutoFilterState)`
  Sets the preserve auto filter state.
  `void`
  `setPreserveFormat​(boolean preserveFormat)`
  Sets the preserve format.
  `void`
  `setRootElementName​(String rootElementName)`
  Sets the root element name.
  `void`
  `setSchemaID​(String schemaID)`
  Sets the schema id.
  `void`
  `setShowValidationErrors​(boolean showValidationErrors)`
  Sets the show validation errors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Map

    public Map()
    Instantiates a new map.

- ## Method Details

  - ### clone

    public Map clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDataBinding

    public DataBinding getDataBinding()
    Gets the data binding.
    Returns:
      the data binding

  - ### setDataBinding

    public void setDataBinding​(DataBinding dataBinding)
    Sets the data binding.
    Parameters:
      `dataBinding` - the new data binding

  - ### isAppend

    public boolean isAppend()
    Checks if is append.
    Returns:
      true, if is append

  - ### setAppend

    public void setAppend​(boolean append)
    Sets the append.
    Parameters:
      `append` - the new append

  - ### isAutoFit

    public boolean isAutoFit()
    Checks if is auto fit.
    Returns:
      true, if is auto fit

  - ### setAutoFit

    public void setAutoFit​(boolean autoFit)
    Sets the auto fit.
    Parameters:
      `autoFit` - the new auto fit

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isPreserveFormat

    public boolean isPreserveFormat()
    Checks if is preserve format.
    Returns:
      true, if is preserve format

  - ### setPreserveFormat

    public void setPreserveFormat​(boolean preserveFormat)
    Sets the preserve format.
    Parameters:
      `preserveFormat` - the new preserve format

  - ### isPreserveAutoFilterState

    public boolean isPreserveAutoFilterState()
    Checks if is preserve auto filter state.
    Returns:
      true, if is preserve auto filter state

  - ### setPreserveAutoFilterState

    public void setPreserveAutoFilterState​(boolean preserveAutoFilterState)
    Sets the preserve auto filter state.
    Parameters:
      `preserveAutoFilterState` - the new preserve auto filter state

  - ### getRootElementName

    public String getRootElementName()
    Gets the root element name.
    Returns:
      the root element name

  - ### setRootElementName

    public void setRootElementName​(String rootElementName)
    Sets the root element name.
    Parameters:
      `rootElementName` - the new root element name

  - ### getSchemaID

    public String getSchemaID()
    Gets the schema id.
    Returns:
      the schema id

  - ### setSchemaID

    public void setSchemaID​(String schemaID)
    Sets the schema id.
    Parameters:
      `schemaID` - the new schema id

  - ### isShowValidationErrors

    public boolean isShowValidationErrors()
    Checks if is show validation errors.
    Returns:
      true, if is show validation errors

  - ### setShowValidationErrors

    public void setShowValidationErrors​(boolean showValidationErrors)
    Sets the show validation errors.
    Parameters:
      `showValidationErrors` - the new show validation errors